JaxbLazyAttributeWithNoProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbLazyAttributeWithNoProxy

    java.lang.Object
      java.lang.Enum<JaxbLazyAttributeWithNoProxy>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbLazyAttributeWithNoProxy

All Implemented Interfaces:
  Serializable, Comparable<JaxbLazyAttributeWithNoProxy>

    public enum JaxbLazyAttributeWithNoProxy

extends Enum<JaxbLazyAttributeWithNoProxy>

Java class for lazy-attribute-with-no-proxy.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="lazy-attribute-with-no-proxy">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="false"/>
         <enumeration value="no-proxy"/>
         <enumeration value="proxy"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FALSE`
`NO_PROXY`
`PROXY`

Method Summary
`static JaxbLazyAttributeWithNoProxy` | `fromValue(String v)`
`String` | `value()`
`static JaxbLazyAttributeWithNoProxy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbLazyAttributeWithNoProxy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FALSE

    public static final JaxbLazyAttributeWithNoProxy FALSE

### NO_PROXY

    public static final JaxbLazyAttributeWithNoProxy NO_PROXY

### PROXY

    public static final JaxbLazyAttributeWithNoProxy PROXY

Method Detail

### values

    public static JaxbLazyAttributeWithNoProxy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbLazyAttributeWithNoProxy c : JaxbLazyAttributeWithNoProxy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbLazyAttributeWithNoProxy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbLazyAttributeWithNoProxy fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.